Automations
Unlink from GitHub
Make the automation API-managed.
TypeScript SDKThe npm client, generated from the API spec.Python SDKThe PyPI client, sync and async.
| Method | Path | Required permissions |
|---|---|---|
| POST | /v1/automations/{automation_id}/unlink | write:configs |
Token access
- API key
- Supported.
- CLI user token
- Supported.
- Sandbox token
- Unavailable. Not supported by sandbox tokens, even with permissions.ellipsis enabled.
Higher permission levels include lower levels: read < write < delete.
Grant match patterns can further restrict access to individual resources.
Its repository file stops controlling the definition.
Path parameters
automation_idstringrequired
curl -X POST "https://api.ellipsis.dev/v1/automations/{automation_id}/unlink" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.automations.unlink("check-tests")
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.automations.unlink("check-tests");
console.log(result);Request
Response
Example response, 200
{
}